### Function

# Template Expr new_flow

#### Declaration

    TmplExpr*
    tmpl_expr_new_flow (
      TmplExprType type,
      TmplExpr* condition,
      TmplExpr* primary,
      TmplExpr* secondary
    )

#### Description

No description available.

#### Parameters

`type`

  Type: `TmplExprType`

  No description available.

`condition`

  Type: `TmplExpr`

  No description available.

  The data is owned by the caller of the function.

`primary`

  Type: `TmplExpr`

  No description available.

  The data is owned by the caller of the function.

`secondary`

  Type: `TmplExpr`

  No description available.

  The data is owned by the caller of the function.

#### Return value

Type: `TmplExpr`

No description available.

The caller of the function takes ownership of the data, and is responsible for freeing it.